/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.VProductos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ProductosFacadeLocal {

    void create(Productos productos);

    void edit(Productos productos);

    void remove(Productos productos);

    Productos find(Object id);

    List<Productos> findAll();

    List<Productos> findRange(int[] range);

    int count();

    Productos findProducto(String productoCodigo);

    Productos finfByCodigoBarra(String codigoBarra);

    List<Productos> porNombre(String ProductoNombre);

    Productos porCodigo(String ProductoNombre);

    Productos busquedaPorNombre(String productoNombre);

    List<VProductos> obtenerProductosv();
}
